## gpxview 0.9.1-1

=== data/Makefile ===
APP = gpxview
MAEMO_VERSION_MAJOR = 4
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share

LANGS = en_GB de_DE fi_FI
LANGS_HELP = en_GB de_DE fi_FI

ICON_SIZES = 12x12 16x16 24x24 32x32 48x48 64x64 45x12 90x24

all:

clean:

install-debian:
#	install -m 644 help/gpxview.html $(DESTDIR)$(prefix)/share/$(APP)

install-maemo:
	# the path to /share is hardcoded since datapath points to /opt on fremantle
	install -d $(DESTDIR)$(prefix)/share/applications/hildon
	install $(APP).desktop $(DESTDIR)$(prefix)/share/applications/hildon
	for s in 40 26; do \
	  install -d $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon ;\
	  install -m 644 icons/$${s}x$${s}/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/$${s}x$${s}/hildon/$(APP).png ;\
	done
	install -d $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon
	install -m 644 icons/64x64/$(APP).png $(DESTDIR)$(prefix)/share/icons/hicolor/scalable/hildon/$(APP).png
	if [ $(MAEMO_VERSION_MAJOR) -lt 5 ]; then \
		echo "Installing hildon help files for maemo <= 4"; \
		for LANG in $(LANGS_HELP); do \
			install -d $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
			install -m 644 ../help/$${LANG}/*.xml $(DESTDIR)$(prefix)/share/osso-help/$${LANG} ;\
		done;\
	else \
	  echo "Installing backup configuration for maemo >= 5"; \
	  install -d $(DESTDIR)/etc/osso-backup/applications ;\
	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
	fi

install: install-maemo
	install -d $(DESTDIR)$(datadir)/$(APP)
	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
	for SIZE in $(ICON_SIZES); do \
		install -d $(DESTDIR)$(datadir)/$(APP)/$${SIZE} ;\
		install -m 644 icons/$${SIZE}/*.png $(DESTDIR)$(datadir)/$(APP)/$${SIZE};\
	done
	for LANG in $(LANGS); do \
		install -d $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES ;\
		msgfmt ../po/$${LANG}.po -o $(DESTDIR)$(prefix)/share/locale/$${LANG}/LC_MESSAGES/$(APP).mo ;\
	done

=== src/Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.
#

APP = gpxview
prefix = /usr
datarootdir = ${prefix}/share
datadir = ${prefix}/share
EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
VERSION = $${VERSION_PREFIX}0.9.1$${VERSION_SUFFIX}

bindir = ${exec_prefix}/bin

OBJS = main.o gpx.o goto.o gps.o misc.o gconf.o html.o icons.o cache.o \
	geomath.o settings.o custom_size_renderer.o custom_rating_renderer.o \
	notes.o custom_type_renderer.o unzip.o ioapi.o precpos.o \
	garmin_export.o geotext.o gcvote.o geotoad.o about.o $(EXTRA_OBJS) 

DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   -DLIBSOUP22 -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1\" -DMAEMO_VERSION_MAJOR=4 -DENABLE_MAEMO_MAPPER
LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl -ldl -lssl -lcrypto -lz   -lsoup-2.2 -lgobject-2.0 -lxml2 -lglib-2.0   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz

all: $(APP)

%.o: %.c Makefile
	gcc $(CFLAGS) -o $@ -c $<

$(APP): $(OBJS)
	gcc -o $@ $(OBJS) $(LDFLAGS)

install:
	install -d $(DESTDIR)$(prefix)$(bindir)
	install $(APP) $(DESTDIR)$(prefix)$(bindir)

clean:
	rm -f gpxview *.o *~ \#*\#

dep:
	makedepend -Y -fMakefile.in *.c


# DO NOT DELETE

bct.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
bct.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
bct.o: garmin_export.h gcvote.h misc.h
cache.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
cache.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
cache.o: garmin_export.h gcvote.h misc.h
converter.o: osm-gps-map-types.h osm-gps-map.h config.h converter.h
custom_rating_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_rating_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_rating_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_rating_renderer.o: gcvote.h misc.h custom_rating_renderer.h
custom_size_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_size_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_size_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_size_renderer.o: gcvote.h misc.h custom_size_renderer.h
custom_type_renderer.o: gpxview.h config.h gpx.h settings.h gps.h goto.h
custom_type_renderer.o: cache.h gconf.h html.h icons.h geomath.h geotext.h
custom_type_renderer.o: notes.h help.h mm_poi.h precpos.h garmin_export.h
custom_type_renderer.o: gcvote.h misc.h custom_type_renderer.h
dbus.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
dbus.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
dbus.o: garmin_export.h gcvote.h misc.h dbus.h
garmin_export.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h
garmin_export.o: gconf.h html.h icons.h geomath.h geotext.h notes.h help.h
garmin_export.o: mm_poi.h precpos.h garmin_export.h gcvote.h misc.h
gconf.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gconf.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gconf.o: garmin_export.h gcvote.h misc.h
gcvote.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gcvote.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
gcvote.o: precpos.h garmin_export.h gcvote.h misc.h
geomath.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geomath.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geomath.o: precpos.h garmin_export.h gcvote.h misc.h
geotext.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
geotext.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
geotext.o: precpos.h garmin_export.h gcvote.h misc.h
goto.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
goto.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
goto.o: garmin_export.h gcvote.h misc.h
gps.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gps.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gps.o: garmin_export.h gcvote.h misc.h
gpx.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
gpx.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
gpx.o: garmin_export.h gcvote.h misc.h unzip.h ioapi.h
html.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
html.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
html.o: garmin_export.h gcvote.h misc.h
icons.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
icons.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
icons.o: garmin_export.h gcvote.h misc.h
ioapi.o: ioapi.h
main.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
main.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
main.o: garmin_export.h gcvote.h misc.h custom_size_renderer.h
main.o: custom_rating_renderer.h custom_type_renderer.h
map-tool.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
map-tool.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
map-tool.o: precpos.h garmin_export.h gcvote.h misc.h converter.h
misc.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
misc.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
misc.o: garmin_export.h gcvote.h misc.h
mm_poi.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
mm_poi.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
mm_poi.o: precpos.h garmin_export.h gcvote.h misc.h
notes.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
notes.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h precpos.h
notes.o: garmin_export.h gcvote.h misc.h
osm-gps-map.o: config.h converter.h osm-gps-map-types.h osm-gps-map.h
osm-gps-map-osd-classic.o: config.h osm-gps-map.h converter.h
osm-gps-map-osd-classic.o: osm-gps-map-osd-classic.h
precpos.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
precpos.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
precpos.o: precpos.h garmin_export.h gcvote.h misc.h
settings.o: gpxview.h config.h gpx.h settings.h gps.h goto.h cache.h gconf.h
settings.o: html.h icons.h geomath.h geotext.h notes.h help.h mm_poi.h
settings.o: precpos.h garmin_export.h gcvote.h misc.h
unzip.o: unzip.h ioapi.h crypt.h

=== debian/changelog ===
gpxview (0.9.1-1) unstable; urgency=low
	
  * Added missing icons for diablo and chinnok

 -- Till Harbaum <till@harbaum.org>  Wed, 16 Dec 2009 17:42:58 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves as a geocaching navigation tool.
 .
 Geocaching is a worldwide game of hiding and seeking treasure. A geocacher can place a geocache in the world, pinpoint its location using GPS technology and then share the geocache's location online via sites like http://www.geocaching.com. 
 .
 GPXView lets you import so-called pocket queries (detailed geocaching descriptions) from those sites and allows you to view the contained information in a convenient way. Furthermore, GPXView can guide you to geocache locations using your devices built-in GPS. It also features an embedded terrain map showing you the exact location of the geocache to find the best way to approach it. Once you've found a geocache GPXView assists you in reporting your find back to the internet.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# Maemo icon 26x26/gpxview.png
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABHNCSVQICAgI
 fAhkiAAAAAlwSFlzAAALPwAACz8BScUy+wAAABl0RVh0U29mdHdhcmUAd3d3
 Lmlua3NjYXBlLm9yZ5vuPBoAAANbSURBVEiJvZZdaFN3GMZ/5zSNzWljP4zV
 2OiEGZ2bH9MhK6yubLOUUdgGhYmdc6urTBGxUHTi5i42t4vJxLIbR8LwwsHQ
 K0WHsDImuFIsNmo6hx+ja1doqqlZkp6TNh/n3UU6WTltGtduD/zhHHjP8/s/
 7/teHETEIyI+EdFl7qVPeHsUEfEhfS1krpKXCuqJpwv5+f71vMrXlnup0ir9
 NqCJzFVItuYHKupgOOHki5vf5FV+cN1OqrTKJhXQ8iPMSppttg79Z24wcDb4
 6N0cT1PkdvL8142T6mYN0paUUrbODSKM/jbCmJ5kLDRqqVNnC1pYs5w1H71M
 oXMeYw90ihYWo9oLLHV5JxoKmVy8NE5P8FOiKTtDJX0s2OShsNzB7RNXGPrh
 Lu46L6n4OH8GQ/8O5D+VoO1QjFhcUNWzAJimiU0rpHh5BdFbw7jrvKxqraH3
 6I9TeszYOv+pBLv2Rlm8uIBzZ8qJjHRybSDI2iOvAArRW8OUPr2IVa01KIqC
 u86L541nHi/RUMik7VCMlV4bgc4FaJoCRSVoaIS7BkgbSWyaHf33h6QiCewV
 Gq7qZbiqlz1eoouXxonFhWOfObMQsi07vO+DRzNZ3baZtJFipHswd2tERMSM
 iGR6LWfP7q2iqqpEI10imV7JpG5Kc/MOAaRx+5tyO9IngcFfRFVVaXrvbbkb
 7becWHJURERsAA9TxQzoSy2XCCdLAAjGPDgyxXyyfx/nvj1N87s78B/7ENVM
 E0snASiVDCsmnifJNIGJGZ0fHKa564a1SNXANKlpPwnXuuByB6+/tT0L+X4P
 AD8FwpimyUZ64ML7Vo8XDsKT9TOs94ZN4NDg5HEwDKjdwsftX6EqYQCMZIYD
 391jvsNGw3pXTqvc611aDkufyEI0DZ6rJqHrxOKjnA+E2XCkmzshgy+3rcBd
 Zs9pNX0iEfC1w51fYeVq+KMfjh/lxROfA9ntm++w4dv5FC21S3JCpgf9Dbnc
 AbVbYNd+iEYg0E2jaeAiwUZ6aFjvmjHJ9KCpIIoCZRXwUj2HX93Ms3J/6sHn
 kHVGp31WyBzImigWhboGeGf3nEGmBu09MGfm/5QKGP+J82QZioj47sX1lisP
 Inl98ZpnERUyBoOd+SEq14Czys//9QP5F+a0OtFOgchLAAAAAElFTkSuQmCC

## gpxview 0.9.2

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = gpxview
-MAEMO_VERSION_MAJOR = 4
+MAEMO_VERSION_MAJOR = 5
 prefix = /usr
-datarootdir = ${prefix}/share
-datadir = ${prefix}/share
+datarootdir = /opt
+datadir = /opt
 
 LANGS = en_GB de_DE fi_FI
 LANGS_HELP = en_GB de_DE fi_FI

=== src/Makefile ===
--- 
+++ 
@@ -19,10 +19,11 @@
 
 APP = gpxview
 prefix = /usr
-datarootdir = ${prefix}/share
-datadir = ${prefix}/share
+datarootdir = /opt
+datadir = /opt
 EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
-VERSION = $${VERSION_PREFIX}0.9.1$${VERSION_SUFFIX}
+VERSION = $${VERSION_PREFIX}0.9.2$${VERSION_SUFFIX}
+MAEMO_VERSION_MAJOR = 5
 
 bindir = ${exec_prefix}/bin
 
@@ -32,8 +33,8 @@
 	garmin_export.o geotext.o gcvote.o geotoad.o about.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -DHILDON_HELP -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2   -DLIBSOUP22 -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -I/usr/include/libgtkhtml-3.8 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2 -I/usr/include/libpng12     -I/usr/include/hildon-help   -DENABLE_GPSBT -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"4.1\" -DMAEMO_VERSION_MAJOR=4 -DENABLE_MAEMO_MAPPER
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl -ldl -lssl -lcrypto -lz   -lsoup-2.2 -lgobject-2.0 -lxml2 -lglib-2.0   -lgtkhtml-3.8 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgmodule-2.0 -ldl -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lpango-1.0 -lcairo -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0   -lsqlite3   -lhildonhelp -lglib-2.0 -losso   -lgpsbt -lgpsmgr -lgps -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0   -lz
+CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -DESPEAK -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5 -DENABLE_MAEMO_MAPPER
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lespeak -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lz
 
 all: $(APP)
 
@@ -45,7 +46,15 @@
 
 install:
 	install -d $(DESTDIR)$(prefix)$(bindir)
-	install $(APP) $(DESTDIR)$(prefix)$(bindir)
+	if [ "$(MAEMO_VERSION_MAJOR)" == "5" ]; then \
+		echo "Optifying binary"; \
+		install -d $(DESTDIR)$(datadir)/$(APP); \
+		install $(APP) $(DESTDIR)$(datadir)/$(APP)/$(APP).bin; \
+		ln -s $(datadir)/$(APP)/$(APP).bin $(DESTDIR)$(prefix)$(bindir)/$(APP); \
+	else \
+		echo "Not Optifying binary"; \
+		install $(APP) $(DESTDIR)$(prefix)$(bindir); \
+	fi
 
 clean:
 	rm -f gpxview *.o *~ \#*\#

=== debian/changelog ===
gpxview (0.9.2) unstable; urgency=low

  * Added espeak support
  * Update cachelist on every focus-in (e.g. return from map or cache view)
  * Optified binary in fremantle
  * Ability to copy the coordinate to the clipboard (as a "map" target)
  * Coordinate picker in note
	
 -- Till Harbaum <till@harbaum.org>  Tue, 19 Jan 2010 21:21:11 +0100

## gpxview 0.9.3

=== Makefile ===
#
# Copyright (C) 2008 Till Harbaum <till@harbaum.org>.
#
# This file is part of GPXView.
#
# GPXView is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# GPXView is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GPXView.  If not, see <http://www.gnu.org/licenses/>.

APP = gpxview
VERSION = $${VERSION_PREFIX}0.9.2$${VERSION_SUFFIX}

all:
	cd src && make
	cd data && make

install:
	cd src && make install
	cd data && make install

clean:
	rm -f *~ \#*\# *.bak *-stamp
	cd src && make clean
	cd data && make clean

distclean: clean
	rm -f Makefile src/Makefile data/Makefile config.log config.status
	rm -fr autom4te.cache

mostlyclean: clean

maintainer-clean: distclean
	@echo 'This command is intended for maintainers to use; it'
	@echo 'deletes files that may need special tools to rebuild.'
	# (nothing yet)

ChangeLog: FORCE
	svn2cl --group-by-day --include-rev --separate-daylogs --include-actions

tarball: distclean
	sh mktarball.sh "$(VERSION)"

FORCE:

=== data/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 APP = gpxview
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
 
 LANGS = en_GB de_DE fi_FI
 LANGS_HELP = en_GB de_DE fi_FI
@@ -38,7 +38,7 @@
 	  install $(APP).conf $(DESTDIR)/etc/osso-backup/applications ;\
 	fi
 
-install: install-maemo
+install: install-debian
 	install -d $(DESTDIR)$(datadir)/$(APP)
 	install -m 644 COPYING welcome.gpx icons/*.png $(DESTDIR)$(datadir)/$(APP);
 	for SIZE in $(ICON_SIZES); do \

=== src/Makefile ===
--- 
+++ 
@@ -19,11 +19,11 @@
 
 APP = gpxview
 prefix = /usr
-datarootdir = /opt
-datadir = /opt
-EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o mm_poi.o dbus.o
+datarootdir = ${prefix}/share
+datadir = ${prefix}/share
+EXTRA_OBJS =  converter.o osm-gps-map.o map-tool.o osm-gps-map-osd-classic.o bct.o
 VERSION = $${VERSION_PREFIX}0.9.2$${VERSION_SUFFIX}
-MAEMO_VERSION_MAJOR = 5
+MAEMO_VERSION_MAJOR = 
 
 bindir = ${exec_prefix}/bin
 
@@ -33,8 +33,8 @@
 	garmin_export.o geotext.o gcvote.o geotoad.o about.o $(EXTRA_OBJS) 
 
 DEFS = -DVERSION=\"$(VERSION)\" -DPREFIX=\"$(prefix)\" -DICONPATH=\"$(datadir)/$(APP)/\" -DAPP=\"$(APP)\"
-CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -DESPEAK -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DDISABLE_GNOME -DDISABLE_PRINTING -DDISABLE_A11Y -DMAEMO_CHANGES -I/usr/include/libgtkhtml-3.14 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include    -DUSE_MAEMO -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include   -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include     -DENABLE_LIBLOCATION -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include   -DENABLE_BROWSER_INTERFACE -DMAEMO_VERSION=\"5.0update1\" -DMAEMO_VERSION_MAJOR=5 -DENABLE_MAEMO_MAPPER
-LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lespeak -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtkhtml-3.14 -lgtk-x11-2.0 -lgconf-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lhildon-1 -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -losso -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -pthread -lhildonfm -lgtk-x11-2.0 -lgnomevfs-2 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lsqlite3   -llocation -lgconf-2 -ldbus-glib-1 -ldbus-1 -lpthread -lgobject-2.0 -lglib-2.0   -lz
+CFLAGS = -Wall -O2 $(DEFS) -g -O2 -pthread -DORBIT2=1 -I/usr/include/gnome-vfs-2.0 -I/usr/include/gnome-vfs-module-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -I/usr/include/libxml2     -I/usr/include/libsoup-2.4 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DENABLE_OSM_GPS_MAP -DORBIT2=1 -pthread -D_REENTRANT -I/usr/include/libgtkhtml-3.8 -I/usr/include/libgnomeui-2.0 -I/usr/include/libgnomeprintui-2.2 -I/usr/include/libglade-2.0 -I/usr/include/libart-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-keyring-1 -I/usr/include/libgnome-2.0 -I/usr/include/libbonoboui-2.0 -I/usr/include/libgnomecanvas-2.0 -I/usr/include/gtk-2.0 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/orbit-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/bonobo-activation-2.0 -I/usr/include/libxml2 -I/usr/include/pango-1.0 -I/usr/include/gail-1.0 -I/usr/include/freetype2 -I/usr/include/atk-1.0 -I/usr/lib/gtk-2.0/include -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/libgnomeprint-2.2   -DBCT -D_REENTRANT -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/directfb -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include   -DORBIT2=1 -pthread -I/usr/include/libgnome-2.0 -I/usr/include/orbit-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/bonobo-activation-2.0   -DENABLE_BROWSER_INTERFACE -DESPEAK
+LDFLAGS =  -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -lgobject-2.0 -lglib-2.0   -lxml2   -lcurl   -lsoup-2.4 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgtkhtml-3.8 -lgnomeui-2 -lSM -lICE -lgnomeprintui-2-2 -lglade-2.0 -lbonoboui-2 -lgnomevfs-2 -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lORBit-2 -lgconf-2 -lgthread-2.0 -lrt -lgnomeprint-2-2 -lz -lgnomecanvas-2 -lart_lgpl_2 -lgtk-x11-2.0 -lxml2 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lm -lpangocairo-1.0 -lgio-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lglib-2.0   -pthread -lgnome-2 -lpopt -lbonobo-2 -lbonobo-activation -lgmodule-2.0 -lORBit-2 -lgthread-2.0 -lrt -lgobject-2.0 -lglib-2.0   -lespeak -lz
 
 all: $(APP)

=== debian/changelog ===
gpxview (0.9.3) unstable; urgency=low

  * Fixed map crash with empty cache list
  * Russian translation
  * Fixed [#5108] Export field notes does nothing
  * Fixed compile problem under ubuntu 9.10
  * Enable "new log" link even if no logs are included for that cache

 -- Till Harbaum <till@harbaum.org>  Wed, 10 Feb 2010 20:20:04 +0100

=== debian/control ===
Source: gpxview
Section: user/navigation
Priority: extra
Maintainer: Till Harbaum <Till@Harbaum.org>
Build-Depends: debhelper (>= 5), sharutils, maemo-version-dev, libcurl4-openssl-dev | libcurl3-openssl-dev, mce-dev, libgtk2.0-dev, libosso-gnomevfs2-dev, gtkhtml-dev | libgtkhtml3.14-dev | gtkhtml3.14-dev, libhildonhelp-dev|devscripts, libhildon1-dev, libosso-dev, libhildonfm2-dev, libxml2-dev, libgconf2-dev, libosso-gnomevfs2-dev, libdbus-glib-1-dev, liblocation-dev|libgpsmgr-dev, libsqlite3-dev, tablet-browser-interface-dev|devscripts, libsoup2.4-dev|libsoup2.2-dev, libespeak-dev|devscripts
Standards-Version: 3.7.2

Package: gpxview
Architecture: any
Depends: ${shlibs:Depends}
Description: Complete offline geocaching solution
 The GPXView application reads and displays geocaching.com GPX files and serves as a geocaching navigation tool.
 .
 Geocaching is a worldwide game of hiding and seeking treasure. A geocacher can place a geocache in the world, pinpoint its location using GPS technology and then share the geocache's location online via sites like http://www.geocaching.com. 
 .
 GPXView lets you import so-called pocket queries (detailed geocaching descriptions) from those sites and allows you to view the contained information in a convenient way. Furthermore, GPXView can guide you to geocache locations using your devices built-in GPS. It also features an embedded terrain map showing you the exact location of the geocache to find the best way to approach it. Once you've found a geocache GPXView assists you in reporting your find back to the internet.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=973
XB-Maemo-Display-Name: GPXView
# No icon
